# $Revision: 1.8 $, $Date: 2009/06/18 12:42:57 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Digest
%define	pnam	MD5-File
Summary:	Digest::MD5::File - getting MD5 sums for files and URLs
Summary(pl.UTF-8):	Digest::MD5::File - uzyskiwanie sum MD5 dla plików i URL-i
Name:		perl-Digest-MD5-File
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1fd9c101fededbdf140f1cedecd4056e
URL:		http://search.cpan.org/dist/Digest-MD5-File/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-libwww
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Get MD5 sums for files of a given path or content of a given URL.

%description -l pl.UTF-8
Ten moduł pozwala uzyskać sumy MD5 dla plików o podanej ścieżce lub
dla zawartości podanego URL-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Digest/MD5
%{perl_vendorlib}/Digest/MD5/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-MD5-File.spec,v $
Revision 1.8  2009/06/18 12:42:57  amateja
- updated to 0.07

Revision 1.7  2008/01/14 20:53:44  glen
- missing dirs; rel 2

Revision 1.6  2007-12-24 13:23:52  qboosh
- generic URL
- encoding fix

Revision 1.5  2007-12-24 00:03:53  zbyniu
- up to 0.06

Revision 1.4  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2006/10/08 10:53:25  qboosh
- pl

Revision 1.1  2006/09/25 07:38:51  radek
- new
